llvm.org GIT mirror llvm / 0fcb941
Add a check for the tclsh program needed by dejagnu. This can have weird names that have version numbers in it so this macro, DJ_AC_PATH_TCLSH will make the necessary checks. The makefile variable TCLSH is set to the path found. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@18382 91177308-0d34-0410-b5e6-96231b3b80d8 Reid Spencer 14 years ago
4 changed file(s) with 188 addition(s) and 30 deletion(s). Raw diff Collapse all Expand all
8686 POD2MAN := @POD2MAN@
8787 PYTHON := @PYTHON@
8888 RUNTEST := @RUNTEST@
89 TCLSH := @TCLSH@
8990 ZIP := @ZIP@
9091
9192 # Paths to miscellaneous programs we assume are present
264264 AC_PATH_PROG(PYTHON,[python],[true python])
265265 AC_PATH_PROG(QMTEST,[qmtest],[true qmtest])
266266 AC_PATH_PROG(RUNTEST,[runtest],[true runtest])
267 DJ_AC_PATH_TCLSH
267268 AC_PATH_PROG(ZIP,[zip],[true zip])
268269
269270 dnl Determine if the linker supports the -R option.
0 dnl This macro checks for tclsh which is required to run dejagnu. On some
1 dnl platforms (notably FreeBSD), tclsh is named tclshX.Y - this handles
2 dnl that for us so we can get the latest installed tclsh version.
3 dnl
4 AC_DEFUN([DJ_AC_PATH_TCLSH], [
5 dirlist=".. ../../ ../../../ ../../../../ ../../../../../ ../../../../../../ ../
6 ../../../../../.. ../../../../../../../.. ../../../../../../../../.. ../../../..
7 /../../../../../.."
8 no_itcl=true
9 AC_MSG_CHECKING(for the tclsh program)
10 AC_ARG_WITH(tclinclude, [ --with-tclinclude directory where tcl headers are], with_tclinclude=${withval})
11 AC_CACHE_VAL(ac_cv_path_tclsh,[
12 dnl first check to see if --with-itclinclude was specified
13 if test x"${with_tclinclude}" != x ; then
14 if test -f ${with_tclinclude}/tclsh ; then
15 ac_cv_path_tclsh=`(cd ${with_tclinclude}; pwd)`
16 elif test -f ${with_tclinclude}/src/tclsh ; then
17 ac_cv_path_tclsh=`(cd ${with_tclinclude}/src; pwd)`
18 else
19 AC_MSG_ERROR([${with_tclinclude} directory doesn't contain tclsh])
20 fi
21 fi
22 ])
23
24 dnl next check in private source directory
25 dnl since ls returns lowest version numbers first, reverse its output
26 if test x"${ac_cv_path_tclsh}" = x ; then
27 dnl find the top level Itcl source directory
28 for i in $dirlist; do
29 if test -n "`ls -dr $srcdir/$i/tcl* 2>/dev/null`" ; then
30 tclpath=$srcdir/$i
31 break
32 fi
33 done
34
35 dnl find the exact Itcl source dir. We do it this way, cause there
36 dnl might be multiple version of Itcl, and we want the most recent one.
37 for i in `ls -dr $tclpath/tcl* 2>/dev/null ` ; do
38 if test -f $i/src/tclsh ; then
39 ac_cv_path_tclsh=`(cd $i/src; pwd)`/tclsh
40 break
41 fi
42 done
43 fi
44
45 dnl see if one is installed
46 if test x"${ac_cv_path_tclsh}" = x ; then
47 AC_MSG_RESULT(none)
48 AC_PATH_PROG(tclsh, tclsh)
49 else
50 AC_MSG_RESULT(${ac_cv_path_tclsh})
51 fi
52 TCLSH="${ac_cv_path_tclsh}"
53 AC_SUBST(TCLSH)
54 ])
55
475475 # include
476476 #endif"
477477
478 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS LLVM_COPYRIGHT subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS ARCH ENDIAN CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT ENABLE_OPTIMIZED JIT ENABLE_DOXYGEN LLVMGCCDIR CPP CXX CXXFLAGS ac_ct_CXX LEX LEXLIB LEX_OUTPUT_ROOT FLEX YACC BISON ifGNUmake LN_S DATE FIND GREP MKDIR MV PAX RANLIB ac_ct_RANLIB RM SED TAR INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA BZIP2 DOT DOXYGEN ETAGS GROFF GZIP POD2HTML POD2MAN PYTHON QMTEST RUNTEST ZIP EGREP INSTALL_LTDL_TRUE INSTALL_LTDL_FALSE CONVENIENCE_LTDL_TRUE CONVENIENCE_LTDL_FALSE LIBADD_DL ECHO AR ac_ct_AR STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ETAGSFLAGS ALLOCA MMAP_FILE LLVMGCC LLVMCC1 LLVMCC1PLUS SHLIBEXT LLVM_PREFIX LLVM_BINDIR LLVM_LIBDIR LLVM_DATADIR LLVM_DOCSDIR LLVM_ETCDIR LLVM_INCLUDEDIR LLVM_INFODIR LLVM_MANDIR LLVM_CONFIGTIME LIBOBJS LTLIBOBJS'
478 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS LLVM_COPYRIGHT subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS ARCH ENDIAN CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT ENABLE_OPTIMIZED JIT ENABLE_DOXYGEN LLVMGCCDIR CPP CXX CXXFLAGS ac_ct_CXX LEX LEXLIB LEX_OUTPUT_ROOT FLEX YACC BISON ifGNUmake LN_S DATE FIND GREP MKDIR MV PAX RANLIB ac_ct_RANLIB RM SED TAR INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA BZIP2 DOT DOXYGEN ETAGS GROFF GZIP POD2HTML POD2MAN PYTHON QMTEST RUNTEST tclsh TCLSH ZIP EGREP INSTALL_LTDL_TRUE INSTALL_LTDL_FALSE CONVENIENCE_LTDL_TRUE CONVENIENCE_LTDL_FALSE LIBADD_DL ECHO AR ac_ct_AR STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ETAGSFLAGS ALLOCA MMAP_FILE LLVMGCC LLVMCC1 LLVMCC1PLUS SHLIBEXT LLVM_PREFIX LLVM_BINDIR LLVM_LIBDIR LLVM_DATADIR LLVM_DOCSDIR LLVM_ETCDIR LLVM_INCLUDEDIR LLVM_INFODIR LLVM_MANDIR LLVM_CONFIGTIME LIBOBJS LTLIBOBJS'
479479 ac_subst_files=''
480480
481481 # Initialize some variables set by options.
10491049 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
10501050 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
10511051 --with-llvmgccdir Location of LLVM GCC front-end
1052 --with-tclinclude directory where tcl headers are
10521053 --with-gnu-ld assume the C compiler uses GNU ld [default=no]
10531054 --with-pic try to use only PIC/non-PIC objects [default=use
10541055 both]
54545455 echo "${ECHO_T}no" >&6
54555456 fi
54565457
5458
5459 dirlist=".. ../../ ../../../ ../../../../ ../../../../../ ../../../../../../ ../
5460 ../../../../../.. ../../../../../../../.. ../../../../../../../../.. ../../../..
5461 /../../../../../.."
5462 no_itcl=true
5463 echo "$as_me:$LINENO: checking for the tclsh program" >&5
5464 echo $ECHO_N "checking for the tclsh program... $ECHO_C" >&6
5465
5466 # Check whether --with-tclinclude or --without-tclinclude was given.
5467 if test "${with_tclinclude+set}" = set; then
5468 withval="$with_tclinclude"
5469 with_tclinclude=${withval}
5470 fi;
5471 if test "${ac_cv_path_tclsh+set}" = set; then
5472 echo $ECHO_N "(cached) $ECHO_C" >&6
5473 else
5474
5475 if test x"${with_tclinclude}" != x ; then
5476 if test -f ${with_tclinclude}/tclsh ; then
5477 ac_cv_path_tclsh=`(cd ${with_tclinclude}; pwd)`
5478 elif test -f ${with_tclinclude}/src/tclsh ; then
5479 ac_cv_path_tclsh=`(cd ${with_tclinclude}/src; pwd)`
5480 else
5481 { { echo "$as_me:$LINENO: error: ${with_tclinclude} directory doesn't contain tclsh" >&5
5482 echo "$as_me: error: ${with_tclinclude} directory doesn't contain tclsh" >&2;}
5483 { (exit 1); exit 1; }; }
5484 fi
5485 fi
5486
5487 fi
5488
5489
5490 if test x"${ac_cv_path_tclsh}" = x ; then
5491 for i in $dirlist; do
5492 if test -n "`ls -dr $srcdir/$i/tcl* 2>/dev/null`" ; then
5493 tclpath=$srcdir/$i
5494 break
5495 fi
5496 done
5497
5498 for i in `ls -dr $tclpath/tcl* 2>/dev/null ` ; do
5499 if test -f $i/src/tclsh ; then
5500 ac_cv_path_tclsh=`(cd $i/src; pwd)`/tclsh
5501 break
5502 fi
5503 done
5504 fi
5505
5506 if test x"${ac_cv_path_tclsh}" = x ; then
5507 echo "$as_me:$LINENO: result: none" >&5
5508 echo "${ECHO_T}none" >&6
5509 # Extract the first word of "tclsh", so it can be a program name with args.
5510 set dummy tclsh; ac_word=$2
5511 echo "$as_me:$LINENO: checking for $ac_word" >&5
5512 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
5513 if test "${ac_cv_path_tclsh+set}" = set; then
5514 echo $ECHO_N "(cached) $ECHO_C" >&6
5515 else
5516 case $tclsh in
5517 [\\/]* | ?:[\\/]*)
5518 ac_cv_path_tclsh="$tclsh" # Let the user override the test with a path.
5519 ;;
5520 *)
5521 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5522 for as_dir in $PATH
5523 do
5524 IFS=$as_save_IFS
5525 test -z "$as_dir" && as_dir=.
5526 for ac_exec_ext in '' $ac_executable_extensions; do
5527 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
5528 ac_cv_path_tclsh="$as_dir/$ac_word$ac_exec_ext"
5529 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5530 break 2
5531 fi
5532 done
5533 done
5534
5535 ;;
5536 esac
5537 fi
5538 tclsh=$ac_cv_path_tclsh
5539
5540 if test -n "$tclsh"; then
5541 echo "$as_me:$LINENO: result: $tclsh" >&5
5542 echo "${ECHO_T}$tclsh" >&6
5543 else
5544 echo "$as_me:$LINENO: result: no" >&5
5545 echo "${ECHO_T}no" >&6
5546 fi
5547
5548 else
5549 echo "$as_me:$LINENO: result: ${ac_cv_path_tclsh}" >&5
5550 echo "${ECHO_T}${ac_cv_path_tclsh}" >&6
5551 fi
5552 TCLSH="${ac_cv_path_tclsh}"
5553
5554
54575555 # Extract the first word of "zip", so it can be a program name with args.
54585556 set dummy zip; ac_word=$2
54595557 echo "$as_me:$LINENO: checking for $ac_word" >&5
80998197 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
81008198 lt_status=$lt_dlunknown
81018199 cat > conftest.$ac_ext <
8102 #line 8103 "configure"
8200 #line 8201 "configure"
81038201 #include "confdefs.h"
81048202
81058203 #if HAVE_DLFCN_H
1009010188 ;;
1009110189 *-*-irix6*)
1009210190 # Find out which ABI we are using.
10093 echo '#line 10094 "configure"' > conftest.$ac_ext
10191 echo '#line 10192 "configure"' > conftest.$ac_ext
1009410192 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1009510193 (eval $ac_compile) 2>&5
1009610194 ac_status=$?
1057510673
1057610674
1057710675 # Provide some information about the compiler.
10578 echo "$as_me:10579:" \
10676 echo "$as_me:10677:" \
1057910677 "checking for Fortran 77 compiler version" >&5
1058010678 ac_compiler=`set X $ac_compile; echo $2`
1058110679 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version &5\"") >&5
1163211730 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1163311731 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1163411732 -e 's:$: $lt_compiler_flag:'`
11635 (eval echo "\"\$as_me:11636: $lt_compile\"" >&5)
11733 (eval echo "\"\$as_me:11734: $lt_compile\"" >&5)
1163611734 (eval "$lt_compile" 2>conftest.err)
1163711735 ac_status=$?
1163811736 cat conftest.err >&5
11639 echo "$as_me:11640: \$? = $ac_status" >&5
11737 echo "$as_me:11738: \$? = $ac_status" >&5
1164011738 if (exit $ac_status) && test -s "$ac_outfile"; then
1164111739 # The compiler can only warn and ignore the option if not recognized
1164211740 # So say no if there are warnings
1187511973 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1187611974 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1187711975 -e 's:$: $lt_compiler_flag:'`
11878 (eval echo "\"\$as_me:11879: $lt_compile\"" >&5)
11976 (eval echo "\"\$as_me:11977: $lt_compile\"" >&5)
1187911977 (eval "$lt_compile" 2>conftest.err)
1188011978 ac_status=$?
1188111979 cat conftest.err >&5
11882 echo "$as_me:11883: \$? = $ac_status" >&5
11980 echo "$as_me:11981: \$? = $ac_status" >&5
1188311981 if (exit $ac_status) && test -s "$ac_outfile"; then
1188411982 # The compiler can only warn and ignore the option if not recognized
1188511983 # So say no if there are warnings
1193512033 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1193612034 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1193712035 -e 's:$: $lt_compiler_flag:'`
11938 (eval echo "\"\$as_me:11939: $lt_compile\"" >&5)
12036 (eval echo "\"\$as_me:12037: $lt_compile\"" >&5)
1193912037 (eval "$lt_compile" 2>out/conftest.err)
1194012038 ac_status=$?
1194112039 cat out/conftest.err >&5
11942 echo "$as_me:11943: \$? = $ac_status" >&5
12040 echo "$as_me:12041: \$? = $ac_status" >&5
1194312041 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1194412042 then
1194512043 # The compiler can only warn and ignore the option if not recognized
1412014218 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1412114219 lt_status=$lt_dlunknown
1412214220 cat > conftest.$ac_ext <
14123 #line 14124 "configure"
14221 #line 14222 "configure"
1412414222 #include "confdefs.h"
1412514223
1412614224 #if HAVE_DLFCN_H
1421814316 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1421914317 lt_status=$lt_dlunknown
1422014318 cat > conftest.$ac_ext <
14221 #line 14222 "configure"
14319 #line 14320 "configure"
1422214320 #include "confdefs.h"
1422314321
1422414322 #if HAVE_DLFCN_H
1641116509 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1641216510 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1641316511 -e 's:$: $lt_compiler_flag:'`
16414 (eval echo "\"\$as_me:16415: $lt_compile\"" >&5)
16512 (eval echo "\"\$as_me:16513: $lt_compile\"" >&5)
1641516513 (eval "$lt_compile" 2>conftest.err)
1641616514 ac_status=$?
1641716515 cat conftest.err >&5
16418 echo "$as_me:16419: \$? = $ac_status" >&5
16516 echo "$as_me:16517: \$? = $ac_status" >&5
1641916517 if (exit $ac_status) && test -s "$ac_outfile"; then
1642016518 # The compiler can only warn and ignore the option if not recognized
1642116519 # So say no if there are warnings
1647116569 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1647216570 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1647316571 -e 's:$: $lt_compiler_flag:'`
16474 (eval echo "\"\$as_me:16475: $lt_compile\"" >&5)
16572 (eval echo "\"\$as_me:16573: $lt_compile\"" >&5)
1647516573 (eval "$lt_compile" 2>out/conftest.err)
1647616574 ac_status=$?
1647716575 cat out/conftest.err >&5
16478 echo "$as_me:16479: \$? = $ac_status" >&5
16576 echo "$as_me:16577: \$? = $ac_status" >&5
1647916577 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1648016578 then
1648116579 # The compiler can only warn and ignore the option if not recognized
1783217930 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1783317931 lt_status=$lt_dlunknown
1783417932 cat > conftest.$ac_ext <
17835 #line 17836 "configure"
17933 #line 17934 "configure"
1783617934 #include "confdefs.h"
1783717935
1783817936 #if HAVE_DLFCN_H
1793018028 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1793118029 lt_status=$lt_dlunknown
1793218030 cat > conftest.$ac_ext <
17933 #line 17934 "configure"
18031 #line 18032 "configure"
1793418032 #include "confdefs.h"
1793518033
1793618034 #if HAVE_DLFCN_H
1876718865 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1876818866 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1876918867 -e 's:$: $lt_compiler_flag:'`
18770 (eval echo "\"\$as_me:18771: $lt_compile\"" >&5)
18868 (eval echo "\"\$as_me:18869: $lt_compile\"" >&5)
1877118869 (eval "$lt_compile" 2>conftest.err)
1877218870 ac_status=$?
1877318871 cat conftest.err >&5
18774 echo "$as_me:18775: \$? = $ac_status" >&5
18872 echo "$as_me:18873: \$? = $ac_status" >&5
1877518873 if (exit $ac_status) && test -s "$ac_outfile"; then
1877618874 # The compiler can only warn and ignore the option if not recognized
1877718875 # So say no if there are warnings
1882718925 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1882818926 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1882918927 -e 's:$: $lt_compiler_flag:'`
18830 (eval echo "\"\$as_me:18831: $lt_compile\"" >&5)
18928 (eval echo "\"\$as_me:18929: $lt_compile\"" >&5)
1883118929 (eval "$lt_compile" 2>out/conftest.err)
1883218930 ac_status=$?
1883318931 cat out/conftest.err >&5
18834 echo "$as_me:18835: \$? = $ac_status" >&5
18932 echo "$as_me:18933: \$? = $ac_status" >&5
1883518933 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1883618934 then
1883718935 # The compiler can only warn and ignore the option if not recognized
2086620964 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2086720965 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2086820966 -e 's:$: $lt_compiler_flag:'`
20869 (eval echo "\"\$as_me:20870: $lt_compile\"" >&5)
20967 (eval echo "\"\$as_me:20968: $lt_compile\"" >&5)
2087020968 (eval "$lt_compile" 2>conftest.err)
2087120969 ac_status=$?
2087220970 cat conftest.err >&5
20873 echo "$as_me:20874: \$? = $ac_status" >&5
20971 echo "$as_me:20972: \$? = $ac_status" >&5
2087420972 if (exit $ac_status) && test -s "$ac_outfile"; then
2087520973 # The compiler can only warn and ignore the option if not recognized
2087620974 # So say no if there are warnings
2110921207 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2111021208 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2111121209 -e 's:$: $lt_compiler_flag:'`
21112 (eval echo "\"\$as_me:21113: $lt_compile\"" >&5)
21210 (eval echo "\"\$as_me:21211: $lt_compile\"" >&5)
2111321211 (eval "$lt_compile" 2>conftest.err)
2111421212 ac_status=$?
2111521213 cat conftest.err >&5
21116 echo "$as_me:21117: \$? = $ac_status" >&5
21214 echo "$as_me:21215: \$? = $ac_status" >&5
2111721215 if (exit $ac_status) && test -s "$ac_outfile"; then
2111821216 # The compiler can only warn and ignore the option if not recognized
2111921217 # So say no if there are warnings
2116921267 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2117021268 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2117121269 -e 's:$: $lt_compiler_flag:'`
21172 (eval echo "\"\$as_me:21173: $lt_compile\"" >&5)
21270 (eval echo "\"\$as_me:21271: $lt_compile\"" >&5)
2117321271 (eval "$lt_compile" 2>out/conftest.err)
2117421272 ac_status=$?
2117521273 cat out/conftest.err >&5
21176 echo "$as_me:21177: \$? = $ac_status" >&5
21274 echo "$as_me:21275: \$? = $ac_status" >&5
2117721275 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2117821276 then
2117921277 # The compiler can only warn and ignore the option if not recognized
2335423452 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2335523453 lt_status=$lt_dlunknown
2335623454 cat > conftest.$ac_ext <
23357 #line 23358 "configure"
23455 #line 23456 "configure"
2335823456 #include "confdefs.h"
2335923457
2336023458 #if HAVE_DLFCN_H
2345223550 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2345323551 lt_status=$lt_dlunknown
2345423552 cat > conftest.$ac_ext <
23455 #line 23456 "configure"
23553 #line 23554 "configure"
2345623554 #include "confdefs.h"
2345723555
2345823556 #if HAVE_DLFCN_H
3023930337 s,@PYTHON@,$PYTHON,;t t
3024030338 s,@QMTEST@,$QMTEST,;t t
3024130339 s,@RUNTEST@,$RUNTEST,;t t
30340 s,@tclsh@,$tclsh,;t t
30341 s,@TCLSH@,$TCLSH,;t t
3024230342 s,@ZIP@,$ZIP,;t t
3024330343 s,@EGREP@,$EGREP,;t t
3024430344 s,@INSTALL_LTDL_TRUE@,$INSTALL_LTDL_TRUE,;t t